Bug 1021507 - DeviceCreateError: ("Can't have overlapping partitions.", 'sda3')
DeviceCreateError: ("Can't have overlapping partitions.", 'sda3')
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
21
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:ea7f6e7fd9927be6abcc8b350d8...
:
: 1135880 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 08:30 EDT by Karsten Hopp
Modified: 2015-12-02 11:06 EST (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:00:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (879.34 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: anaconda.log (31.73 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: environ (404 bytes, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: lsblk_output (1.58 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: nmcli_dev_list (4.70 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: os_info (291 bytes, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: program.log (66.12 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: storage.log (320.37 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: syslog (49.35 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: ifcfg.log (650 bytes, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
File: packaging.log (373.31 KB, text/plain)
2013-10-21 08:31 EDT, Karsten Hopp
no flags Details
anaconda-tb for c12 (617.35 KB, text/plain)
2013-10-27 23:08 EDT, Chris Murphy
no flags Details
program log for c12 (51.71 KB, text/plain)
2013-10-27 23:08 EDT, Chris Murphy
no flags Details
storage log for c12 (272.40 KB, text/plain)
2013-10-27 23:09 EDT, Chris Murphy
no flags Details
anaconda-tb from a crash with GA-TC5.1 (508.77 KB, text/plain)
2013-12-09 10:31 EST, Karsten Hopp
no flags Details
anaconda-tb (657.23 KB, text/plain)
2013-12-11 17:56 EST, Alexey Torkhov
no flags Details
anaconda-tb for comment 35 (586.05 KB, text/plain)
2013-12-12 05:43 EST, Kamil Páral
no flags Details
anaconda-tb for comment 37 (1.93 MB, text/plain)
2013-12-12 08:35 EST, Alexey Torkhov
no flags Details

  None (edit)
Description Karsten Hopp 2013-10-21 08:30:58 EDT
Version-Release number of selected component:
anaconda-20.25.1-1

The following was filed automatically by anaconda:
anaconda 20.25.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1560, in create
    raise DeviceCreateError(str(e), self.name)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 310, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 169, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 142, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceCreateError: ("Can't have overlapping partitions.", 'sda3')

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.5-302.fc20.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20

Potential duplicate: bug 961165
Comment 1 Karsten Hopp 2013-10-21 08:31:06 EDT
Created attachment 814566 [details]
File: anaconda-tb
Comment 2 Karsten Hopp 2013-10-21 08:31:11 EDT
Created attachment 814568 [details]
File: anaconda.log
Comment 3 Karsten Hopp 2013-10-21 08:31:15 EDT
Created attachment 814570 [details]
File: environ
Comment 4 Karsten Hopp 2013-10-21 08:31:19 EDT
Created attachment 814572 [details]
File: lsblk_output
Comment 5 Karsten Hopp 2013-10-21 08:31:23 EDT
Created attachment 814574 [details]
File: nmcli_dev_list
Comment 6 Karsten Hopp 2013-10-21 08:31:31 EDT
Created attachment 814575 [details]
File: os_info
Comment 7 Karsten Hopp 2013-10-21 08:31:36 EDT
Created attachment 814576 [details]
File: program.log
Comment 8 Karsten Hopp 2013-10-21 08:31:41 EDT
Created attachment 814577 [details]
File: storage.log
Comment 9 Karsten Hopp 2013-10-21 08:31:46 EDT
Created attachment 814578 [details]
File: syslog
Comment 10 Karsten Hopp 2013-10-21 08:31:50 EDT
Created attachment 814579 [details]
File: ifcfg.log
Comment 11 Karsten Hopp 2013-10-21 08:31:56 EDT
Created attachment 814580 [details]
File: packaging.log
Comment 12 Chris Murphy 2013-10-27 22:57:39 EDT
Create new thinp installation over existing. Deleted fedora-home, retained fedora-root, yet the installer creates a new fedora-root (same name as existing) so that may be the problem here.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 elevator=noop BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
other involved packages: python-libs-2.7.5-8.fc20.x86_64, python-blivet-0.23.2-1.fc20.noarch
package:        anaconda-20.25.4-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for fedora/root: running lvm lvcreate --thinpool fedora/pool00 --virtualsize 10000m -n root failed', 'fedora-root')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 13 Chris Murphy 2013-10-27 23:03:26 EDT
Proposing as a beta blocker:
"When using the custom partitioning flow, the installer must be able to reject or disallow invalid disk and volume configurations without crashing."

I'm going under the assumption that what the user did is invalid: retained the default vg/lv name for the new / of "fedora-root" which conflicts with existing. Installer shouldn't crash, but I suspect the work around is to name the root differently.
Comment 14 Fedora Blocker Bugs Application 2013-10-27 23:05:24 EDT
Proposed as a Blocker for 20-beta by Fedora user chrismurphy using the blocker tracking app because:

 Comment 13 is justification, I just forgot to set the blocker.
Comment 15 Chris Murphy 2013-10-27 23:08:24 EDT
Created attachment 816684 [details]
anaconda-tb for c12
Comment 16 Chris Murphy 2013-10-27 23:08:47 EDT
Created attachment 816685 [details]
program log for c12
Comment 17 Chris Murphy 2013-10-27 23:09:19 EDT
Created attachment 816686 [details]
storage log for c12
Comment 18 Mike Ruckman 2013-10-28 12:47:17 EDT
Discussed in 2013-10-28 Blocker Review meeting [1]. Voted as an AcceptedBlocker. Violates the following F20 beta release criterion: "When using the custom partitioning flow, the installer must be able to: Create mount points backed by ext4 partitions, LVM volumes or btrfs volumes ... and remove a planned storage volume from the planned layout." [2]

[1] http://meetbot.fedoraproject.org/meetbot/meetbot/fedora-blocker-review/2013-10-28/
[2] http://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Custom_partitioning
Comment 19 Chris Murphy 2013-10-28 12:57:43 EDT
Update: When I do this with conventional LVM, the new root default name is root00 so the conflict with existing root doesn't occur. With LVM Thin Provisioning, the default name for root is root, so it conflicts with existing root.
Comment 20 David Lehman 2013-10-28 13:08:56 EDT
(In reply to Chris Murphy from comment #12)
> reason:         DeviceCreateError: ('lvcreate failed for fedora/root:
> running lvm lvcreate --thinpool fedora/pool00 --virtualsize 10000m -n root
> failed', 'fedora-root')

This is completely unrelated to the original bug in this report. Please open a separate report.
Comment 21 Chris Murphy 2013-10-28 14:27:40 EDT
Opened bug 1024076. The blocker should go with the new bug, not this one?
Comment 22 Tim Flink 2013-10-28 14:29:12 EDT
(In reply to David Lehman from comment #20)
> (In reply to Chris Murphy from comment #12)
> > reason:         DeviceCreateError: ('lvcreate failed for fedora/root:
> > running lvm lvcreate --thinpool fedora/pool00 --virtualsize 10000m -n root
> > failed', 'fedora-root')
> 
> This is completely unrelated to the original bug in this report. Please open
> a separate report.

This bug was accepted as a blocker with the understanding that users would hit this bug if they installed over a previous lvm-using install due to name collisions. Are we correct in our understanding of how this bug would manifest?
Comment 23 Chris Murphy 2013-10-28 17:19:57 EDT
Fell into this with 10204076 comment 5 updates image applied.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Beta-TC6\x20x86_64 quiet updates=http://dlehman.fedorapeople.org/updates/updates-1024076.0.img BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
package:        anaconda-20.25.4-1
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for fedora/pool00: running lvm lvcreate --thinpool fedora/pool00 --size 67844m failed', 'fedora-pool00')
release:        Cannot get release name.
version:        20-Beta-TC6
Comment 24 Mike Ruckman 2013-10-30 13:27:27 EDT
Discussed in 2013-10-30 Blocker Review Meeting [1]. It was voted to remove blocker status from this bug to 1024076 [2].

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-30/
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1024076
Comment 25 Jan Sedlák 2013-11-06 05:17:23 EST
This is what ABRT shows when reproducing bug 1026466 if someone tries to continue with installation.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
other involved packages: python-libs-2.7.5-8.fc20.x86_64, python-blivet-0.23.3-1.fc20.noarch
package:        anaconda-20.25.6-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for fedora/root00: running lvm lvcreate -L 15496m -n root00 fedora failed', 'fedora-root00')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 26 Clyde E. Kunkel 2013-11-07 18:42:54 EST
Trying to install to a new LV using remaining space in VolGroup00.  PV is on a software raid 10.  Took several trips thru the custom partitioner before it saw the VG. All looked ok until setting root password, system froze for some unknown period of time as I had to leave for an appointment and upon return saw this error.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:UUID=223ac99f-66fa-45d6-a71d-2c5d282acab5 selinux=0 BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
package:        anaconda-20.25.6-1
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for VolGroup00/fedora20: running lvm lvcreate -L 15968m -n fedora20 --config  devices { filter=["r|/sdi1$|","r|/sdi$|","r|/sdh1$|","r|/sdh2$|","r|/sdh3$|","r|/sdh4$|","r|/sdh5$|","r|/sdh6$|","r|/sdh$|","r|/VolGroup01-clydehome$|","r|/VolGroup01-secondhome$|","r|/VolGroup01$|","r|/sde1$|","r|/sde10$|","r|/sde11$|","r|/sde12$|","r|/VolGroup03-rhel65beta$|","r|/VolGroup03-slackware$|","r|/VolGroup03-testhomes$|","r|/VolGroup03$|","r|/sde2$|","r|/sde3$|","r|/sde4$|","r|/sde5$|","r|/sde6$|","r|/sde7$|","r|/sde8$|","r|/sde9$|","r|/sde$|","r|/sdf1$|","r|/root06$|","r|/fedora_p5k-ewifi$|","r|/sdf10$|","r|/root07$|","r|/fedora_p5k-ewifi$|","r|/sdf11$|","r|/root08$|","r|/fedora_p5k-ewifi$|","r|/sdf12$|","r|/root09$|","r|/fedora_p5k-ewifi-brc4$|","r|/sdf13$|","r|/root10$|","r|/fedora_p5k-ewifi-brc5$|","r|/sdf14$|","r|/root$|","r|/fedora_p5k-ewifi$|","r|/sdf2$|","r|/root00$|","r|/fedora_p5k-ewifi$|","r|/sdf3$|","r|/root01$|","r|/fedora_new-host$|","r|/sdf4$|","r|/root02$|","r|/fedora_p5k-ewifi$|","r|/sdf5$|","r|/home$|","r|/opt$|","r|/srv$|","r|/tmp$|","r|/usr/local$|","r|/var/crash$|","r|/var/log$|","r|/var/opt$|","r|/var/spool$|","r|/var/tmp$|","r|/boot/grub2/x86_64-efi$|","r|/boot/grub2/i386-pc$|","r|/.snapshots$|","r|/.snapshots/1/snapshot$|","r|/.snapshots/2/snapshot$|","r|/.snapshots/3/snapshot$|","r|/.snapshots/4/snapshot$|","r|/.snapshots/5/snapshot$|","r|/.snapshots/6/snapshot$|","r|/.snapshots/7/snapshot$|","r|/.snapshots/8/snapshot$|","r|/.snapshots/9/snapshot$|","r|/.snapshots/10/snapshot$|","r|/.snapshots/11/snapshot$|","r|/.snapshots/12/snapshot$|","r|/.snapshots/13/snapshot$|","r|/.snapshots/14/snapshot$|","r|/.snapshots/15/snapshot$|","r|/.snapshots/16/snapshot$|","r|/.snapshots/17/snapshot$|","r|/.snapshots/18/snapshot$|","r|/.snapshots/19/snapshot$|","r|/.snapshots/20/snapshot$|","r|/.snapshots/21/snapshot$|","r|/.snapshots/22/snapshot$|","r|/.snapshots/23/snapshot$|","r|/.snapshots/24/snapshot$|","r|/.snapshots/25/snapshot$|","r|/.snapshots/26/snapshot$|","r|/.snapshots/27/snapshot$|","r|/.snapshots/28/snapshot$|","r|/.snapshots/29/snapshot$|","r|/suse_13-1_Beta-1$|","r|/sdf6$|","r|/root03$|","r|/fedora_p5k-ewifi$|","r|/sdf7$|","r|/root04$|","r|/fedora_p5k-ewifi$|","r|/sdf8$|","r|/root05$|","r|/fedora_new-host$|","r|/sdf9$|","r|/sdf$|"] }  VolGroup00 failed', 'VolGroup00-fedora20')
release:        Cannot get release name.
version:        20-Beta
Comment 27 Clyde E. Kunkel 2013-11-07 23:50:28 EST
Second try experience:  practitioner saw the correct VolGroup first time and was able to do a normal install to the LV.  Dunno.
Comment 28 Chris Murphy 2013-11-08 00:43:59 EST
For future reference, anytime anaconda crashes you need to retain the /tmp/anaconda-tb file so they can be manually attached. Only for new bugs does libreport upload them. (Maybe it should be an RFE for libreport to always upload just the anaconda-tb for subsequent reports for existing bugs?)
Comment 29 Karsten Hopp 2013-12-09 10:27:13 EST
I've deleted all existing partitions except the PreP partition and then let anaconda autopartition do the work

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.ppc64
package:        anaconda-20.25.14-1
product:        Fedora
reason:         DeviceCreateError: ('Too many primary partitions.', 'sda2')
release:        Cannot get release name.
version:        20
Comment 30 Karsten Hopp 2013-12-09 10:31:36 EST
Created attachment 834370 [details]
anaconda-tb from a crash with GA-TC5.1
Comment 31 Kamil Páral 2013-12-09 11:15:42 EST
Trying to reproduce bug 1038969.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-TC5\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.x86_64
package:        anaconda-20.25.14-1
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for fedora/swap: running lvm lvcreate -L 1024m -n swap fedora failed', 'fedora-swap')
release:        Cannot get release name.
version:        20-TC5
Comment 32 Kamil Páral 2013-12-09 12:34:40 EST
Tried to reproduce bug 1038969 once again, this time creating an _unencrypted_ second VG with /data LV.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-TC5\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.x86_64
package:        anaconda-20.25.14-1
product:        Fedora
reason:         DeviceCreateError: ('lvcreate failed for fedora/swap: running lvm lvcreate -L 1024m -n swap fedora failed', 'fedora-swap')
release:        Cannot get release name.
version:        20-TC5
Comment 33 Alexey Torkhov 2013-12-11 17:52:52 EST
Reproducing bug 1040691. Was using vpodzime's updates.img in first crash and this one. Here are steps to reproduce:
1. Go to installation destination. Select default (LVM, no encryption).
2. Go to custom partitioning. Auto-create partitions
3. Select /, press modify on volume group, check encrypt there.
4. Install

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --updates=http://vpodzime.fedorapeople.org/f20_blockers_updates.img
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-x86_64-20-TC5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.x86_64
other involved packages: python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.14-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('vgcreate failed for fedora: running lvm vgcreate -s 4m fedora /dev/mapper/luks-0255c920-80fc-449f-84b3-f29ea1a8680a failed', 'fedora')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 34 Alexey Torkhov 2013-12-11 17:56:20 EST
Created attachment 835513 [details]
anaconda-tb
Comment 35 Kamil Páral 2013-12-12 05:41:22 EST
From what I remember:
1. I did a default install, but removed swap from the layout (therefore there has been some space left on the device, I don't know how much)
2. I started the installer again, and anaconda did not ask me to reclaim any space (as if there is enough already). I went to custom partitioning and found out that aconda created a new 500 MB /boot, 3.9 GB / and 3.9 GB swap. The previous partitions were left intact.
3. I accepted the choices and started the installation.
4. It crashed at the beginning of the installation process.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   inst.repo=nfs:nfs.englab.brq.redhat.com:/pub/fedora/fedora-alt/stage/20-RC1/Fedora/i386/iso/Fedora-20-i386-DVD.iso initrd=F20/RC1/i386/initrd.img BOOT_IMAGE=F20/RC1/i386/vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.i686
package:        anaconda-20.25.15-1
product:        Fedora
reason:         DeviceCreateError: ('vgcreate failed for fedora_dhcp-28-168: running lvm vgcreate -s 4m --config  devices { filter=["r|/sdb1$|","r|/sdb2$|","r|/sdc1$|","r|/sdb$|","r|/sdc$|"] }  fedora_dhcp-28-168 /dev/sda5 failed', 'fedora_dhcp-28-168')
release:        Cannot get release name.
version:        20
Comment 36 Kamil Páral 2013-12-12 05:43:22 EST
Created attachment 835729 [details]
anaconda-tb for comment 35
Comment 37 Alexey Torkhov 2013-12-12 08:33:00 EST
Was trying to create such layout over 3 disks:

vda1 /boot
vda2, vdb2 RAID-0, LVM
` /
` swap
vdb3, vdc3 RAID-1, LVM
` /var
` /home

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('mdcreate failed for /dev/md/00: running mdadm --create /dev/md/00 --run --level=1 --raid-devices=2 --metadata=default --bitmap=internal /dev/vdb3 /dev/vda3 failed', '00')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 38 Alexey Torkhov 2013-12-12 08:35:32 EST
Created attachment 835797 [details]
anaconda-tb for comment 37
Comment 39 Alexey Torkhov 2013-12-12 09:00:13 EST
Crash reproducing bug 1021507 comment 37.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('mdcreate failed for /dev/md/00: running mdadm --create /dev/md/00 --run --level=1 --raid-devices=2 --metadata=default --bitmap=internal /dev/vdb2 /dev/vdc1 failed', '00')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 40 Alexey Torkhov 2013-12-12 09:11:27 EST
Steps I was doing to get comment 37:

1. Start with 3 empty 8gb disks.
2. Select all 3 disks in installation destination. Start custom partitioning with LVM.
3. Auto-create mount points.
4. Select /, press change for volume group. Select first two disks, change level to RAID-0. Click update.
5. Reduce / size to 5 G to make more space. Click update.
5. Select swap, reduce size to 500M to make more space.
6. Add /var, 1G size.
7. Add new volume group for /var, use RAID-1 for it and assign it only for 2nd and 3rd disks.
8. Add /home without size.
9. Switch /home VG to new VG.

Note this inconsistency:
10. Click on /var, click Change for volume group. Note that it has 1st and 2nd disks selected. Switch to 2nd and 3rd, save, update.

11. Start install.

Adding as blocker as per:

The installer must be able to create and install to any workable partition layout using any file system and/or container format combination offered in a default installer configuration.
Comment 41 Alexey Torkhov 2013-12-12 09:17:41 EST
In comment 37 and comment 39 I did also a few of other clicking. When doing straight forward it result in this crash - https://bugzilla.redhat.com/show_bug.cgi?id=1040716#c16
Comment 42 Kamil Páral 2013-12-12 10:20:32 EST
Reproduced bug 1021507 comment 40.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         DeviceCreateError: ('mdcreate failed for /dev/md/00: running mdadm --create /dev/md/00 --run --level=1 --raid-devices=2 --metadata=default --bitmap=internal /dev/vdb2 /dev/vdc1 failed', '00')
release:        Cannot get release name.
version:        20
Comment 43 Kamil Páral 2013-12-12 12:33:11 EST
Discussed at Go/No-Go meeting on 2013-12-12 [1]. This is a RejectedBlocker. While this would be considered a blocker on more common setups, two raids distributed over three disks is too much of a corner case to block final.

[1] http://meetbot.fedoraproject.org/fedora-meeting-2/2013-12-12/
Comment 44 Kamil Páral 2013-12-12 12:41:18 EST
Alexey, could you please file a separate bug for your problem, so that David Lehman can review it easier? Thanks!
Comment 45 Arenas Belon, Carlo Marcelo 2013-12-21 07:44:40 EST
Installing Fedora from a USB in an EFI enabled ASUS laptop (with secure boot enabled) where main windows partition was resized to allow for installing Fedora.

reviewing the partitioning showed no linux partitions (only /boot/efi) to be mounted and now obvious way to create my own, so reselect the disk and asked for it to be autopartitioned again without checking (the checkbox) that ask for reviewing the changes further

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-20-1 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ("Can't have overlapping partitions.", 'sda7')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 46 Alejandro Pulver 2014-01-03 18:46:02 EST
Installing Fedora 20 on a disk with Windows 7, Ubuntu and openSUSE. Fails with any filesystem selected, manual and automatic partitioning. Sometimes the error was "resource busy".

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('Failed to add partition 5 (Device or resource busy)', 'sda8')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 47 Johannes 2014-01-27 16:17:06 EST
bij het instellen van het root wachtwoord.
after settings the root password

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('Partition(s) 5 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.', 'sda3')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 48 anil 2014-01-29 01:26:27 EST
Hi Team.
Tried installing on USB disk (32GB) with fedora live xfce image. (fedora 20)
Fails with pvcreate failure. 
Happening only with 64 bit image it seems. 
Same problem with any usb disk I use. So usb disk cant be issue. 
Also tried using LVM, standard partition and same problem.

Sems cant install onto usb disk with 64bit live image.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=UUID=F6EC-FCDE rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('vgcreate failed for fedora: running lvm vgcreate -s 4m --config  devices { filter=["r|/sdc3$|","r|/sda1$|","r|/sda2$|","r|/sda$|","r|/sdb1$|","r|/sdb$|","r|/sdd1$|","r|/sdd$|"] }  fedora /dev/sdc2 failed', 'fedora')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 49 Damaso 2014-07-11 09:05:37 EDT
fallo

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 nomodeset BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-blivet-0.23.9-1.fc20.noarch, python-libs-2.7.5-9.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DeviceCreateError: ('Partition(s) 2 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.', 'sda2')
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 50 Brian Lane 2014-09-02 21:33:28 EDT
*** Bug 1135880 has been marked as a duplicate of this bug. ***
Comment 51 Brian Lane 2014-09-02 21:35:12 EDT
Bumping to f21 since we're still seeing this.
Comment 52 Fedora End Of Life 2015-11-04 09:20:35 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 53 Fedora End Of Life 2015-12-01 22:00:41 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.